Get call permission state for a user
GET
/v1/calls/permissionAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredQuery parameters
channel_idstringrequiredChannel ID
user_wa_idstringrequiredUser WhatsApp ID
Responses
200OK
actionsCallPermissionActionData[] | nullShow propertiesHide properties
Array of
CallPermissionActionDataaction_namestringrequiredcan_perform_actionbooleanrequiredlimitsCallPermissionLimitData[] | nullShow propertiesHide properties
Array of
CallPermissionLimitDatacurrent_usageinteger<int64>requiredlimit_expiration_timeinteger<int64>max_allowedinteger<int64>requiredtime_periodstringrequiredexpiration_timeinteger<int64>statusstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X GET "/v1/calls/permission?channel_id=string&user_wa_id=string"const response = await fetch("/v1/calls/permission?channel_id=string&user_wa_id=string", {
method: "GET"
});import requests
response = requests.get(
"/v1/calls/permission?channel_id=string&user_wa_id=string",
)Response
{
"actions": [
{
"action_name": "string",
"can_perform_action": true,
"limits": [
{
"current_usage": 0,
"limit_expiration_time": 0,
"max_allowed": 0,
"time_period": "string"
}
]
}
],
"expiration_time": 0,
"status": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}